package sun.font;

import java.awt.Font;

public abstract class FontAccess
{
    private static FontAccess access;
    
    public FontAccess() {
    }
    
    public static synchronized void setFontAccess(FontAccess access) {
        if (FontAccess.access != null) {
            throw new InternalError("Attempt to set FontAccessor twice");
        }
        FontAccess.access = access;
        return;
    }
    
    public static synchronized FontAccess getFontAccess() {
        return FontAccess.access;
    }
    
    public abstract Font2D getFont2D(Font p0);
    
    public abstract void setFont2D(Font p0, Font2DHandle p1);
    
    public abstract void setCreatedFont(Font p0);
    
    public abstract boolean isCreatedFont(Font p0);
}
